---
title: RsaPssParams
slug: Web/API/RsaPssParams
tags:
  - API
  - Dictionary
  - Reference
  - RsaPssParams
  - Web Crypto API
---
<div>{{ APIRef("Web Crypto API") }}</div>

<p>The <strong><code>RsaPssParams</code></strong> dictionary of the <a href="/en-US/docs/Web/API/Web_Crypto_API">Web Crypto API </a>represents the object that should be passed as the <code>algorithm</code> parameter into {{domxref("SubtleCrypto.sign()")}} or {{domxref("SubtleCrypto.verify()")}}, when using the <a href="/en-US/docs/Web/API/SubtleCrypto/sign#RSA-PSS">RSA-PSS</a> algorithm.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt><code>name</code></dt>
 <dd>A {{domxref("DOMString")}}. This should be set to <code>RSA-PSS</code>.</dd>
 <dt><code>saltLength</code></dt>
 <dd>
 <p>A <code>long</code> integer representing the length of the random salt to use, in bytes.</p>

 <p><a href="https://tools.ietf.org/html/rfc3447">RFC 3447</a> says that "Typical salt lengths" are either 0 or the length of the output of the <a href="/en-US/docs/Web/API/Web_Crypto_API/Supported_algorithms#Digest_algorithms">digest algorithm</a> that was selected when this key was <a href="/en-US/docs/Web/API/SubtleCrypto/generateKey">generated</a>. For example, if you use <a href="/en-US/docs/Web/API/Web_Crypto_API/Supported_algorithms#SHA-256">SHA-256</a> as the digest algorithm, this could be 32.</p>

 <p>The maximum size of <code>saltLength</code> is given by:</p>

 <pre class="brush: js no-line-numbers">Math.ceil((keySizeInBits - 1)/8) - digestSizeInBytes - 2</pre>

 <p>So for a key length of 2048 bits and a digest output size of 32 bytes, the maximum size would be 222.</p>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>See the examples for {{domxref("SubtleCrypto.sign()")}} and {{domxref("SubtleCrypto.verify()")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('Web Crypto API', '#dfn-RsaPssParams', 'SubtleCrypto.RsaPssParams') }}</td>
   <td>{{ Spec2('Web Crypto API') }}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>Browsers that support the "RSA-PSS" algorithm for the {{domxref("SubtleCrypto.sign()")}} and {{domxref("SubtleCrypto.verify()")}} methods will support this type.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://tools.ietf.org/html/rfc3447#section-8.1">RFC 3447: RSASSA-PSS</a></li>
</ul>
